### Method

# Gck Builder add_onlyv

#### Declaration [src]

    void
    gck_builder_add_onlyv (
      GckBuilder* builder,
      GckAttributes* attrs,
      const gulong* only_types,
      guint n_only_types
    )

#### Description [src]

Add the attributes with the types in `only_types` from `attrs` to the builder. The attributes are added uncondititionally whether or not attributes with the same types already exist in the builder.

    // Add the CKA_ID and CKA_CLASS attributes from attrs to builder
    gulong only[] = { CKA_ID, CKA_CLASS };
    gck_builder_add_onlyv (builder, attrs, only, 2);

As an optimization, the attribute memory values are automatically shared between the attributes and the builder.

This method is renamed to `gck_builder_add_only()` in language bindings

#### Parameters

`attrs` | `GckAttributes`
| The attributes to add.
| The data is owned by the caller of the function.
`only_types` | An array of `gulong`
| The types of attributes to add.
| The length of the array is specified in the `n_only_types` argument.
| The data is owned by the caller of the function.
`n_only_types` | `guint`
| The number of attributes.